AlmaLinux 2227 Published by

A php:8.1 security update has been released for AlmaLinux 9.



ALSA-2023:2417 Moderate: php:8.1 security update


Type:
security

Severity:
moderate

Release date:
2023-05-12

Description
The following packages have been upgraded to a later upstream version: php (8.1.14).
Security Fix(es):
* XKCP: buffer overflow in the SHA-3 reference implementation (CVE-2022-37454)
* php: standard insecure cookie could be treated as a '__Host-' or '__Secure-' cookie by PHP applications (CVE-2022-31629)
* php: OOB read due to insufficient input validation in imageloadfont() (CVE-2022-31630)
* php: PDO::quote() may return unquoted string due to an integer overflow (CVE-2022-31631)
* php: phar: infinite loop when decompressing quine gzip file (CVE-2022-31628)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References:
RHSA-2023:2417
CVE-2022-31628
CVE-2022-31629
CVE-2022-31630
CVE-2022-31631
CVE-2022-37454
ALSA-2023:2417

Updates packages:
apcu-panel-5.1.21-1.module_el9.1.0+15+94ba28e4.noarch.rpm
php-snmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-pdo-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-soap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-gmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-enchant-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-bcmath-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-common-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-opcache-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-mysqlnd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-pecl-rrd-2.0.3-4.module_el9.1.0+15+94ba28e4.aarch64.rpm
php-cli-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-process-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-xml-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-embedded-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-odbc-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-dba-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-dbg-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-mbstring-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-fpm-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-ldap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-devel-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-gd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-pgsql-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-pecl-xdebug3-3.1.4-1.module_el9.1.0+15+94ba28e4.aarch64.rpm
php-pecl-zip-1.20.1-1.module_el9.1.0+15+94ba28e4.aarch64.rpm
php-pecl-apcu-devel-5.1.21-1.module_el9.1.0+15+94ba28e4.aarch64.rpm
php-intl-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-pecl-apcu-5.1.21-1.module_el9.1.0+15+94ba28e4.aarch64.rpm
php-ffi-8.1.14-1.module_el9.2.0+24+ca6bd7c2.aarch64.rpm
php-process-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-opcache-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-xml-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pecl-zip-1.20.1-1.module_el9.1.0+15+94ba28e4.x86_64.rpm
php-fpm-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-dba-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-ffi-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pecl-rrd-2.0.3-4.module_el9.1.0+15+94ba28e4.x86_64.rpm
php-mysqlnd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-mbstring-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-enchant-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-embedded-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-cli-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-snmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pgsql-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-ldap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-devel-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-intl-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-gmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pecl-xdebug3-3.1.4-1.module_el9.1.0+15+94ba28e4.x86_64.rpm
php-soap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-common-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-dbg-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pecl-apcu-devel-5.1.21-1.module_el9.1.0+15+94ba28e4.x86_64.rpm
php-pdo-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-gd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-odbc-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-pecl-apcu-5.1.21-1.module_el9.1.0+15+94ba28e4.x86_64.rpm
php-bcmath-8.1.14-1.module_el9.2.0+24+ca6bd7c2.x86_64.rpm
php-mbstring-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pecl-zip-1.20.1-1.module_el9.1.0+15+94ba28e4.ppc64le.rpm
php-soap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-ffi-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-embedded-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pdo-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-opcache-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pecl-apcu-devel-5.1.21-1.module_el9.1.0+15+94ba28e4.ppc64le.rpm
php-intl-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-ldap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-dba-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-gd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pecl-xdebug3-3.1.4-1.module_el9.1.0+15+94ba28e4.ppc64le.rpm
php-common-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-enchant-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-fpm-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-process-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pgsql-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-bcmath-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-devel-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-odbc-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-snmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-dbg-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-xml-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-mysqlnd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-cli-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pecl-apcu-5.1.21-1.module_el9.1.0+15+94ba28e4.ppc64le.rpm
php-gmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.ppc64le.rpm
php-pecl-rrd-2.0.3-4.module_el9.1.0+15+94ba28e4.ppc64le.rpm
php-dba-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-xml-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-gd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-odbc-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-fpm-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-process-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-opcache-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-ffi-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-common-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-enchant-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-cli-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-bcmath-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-pecl-zip-1.20.1-1.module_el9.1.0+15+94ba28e4.s390x.rpm
php-pecl-apcu-devel-5.1.21-1.module_el9.1.0+15+94ba28e4.s390x.rpm
php-intl-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-gmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-embedded-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-mysqlnd-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-ldap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-devel-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-pecl-apcu-5.1.21-1.module_el9.1.0+15+94ba28e4.s390x.rpm
php-pdo-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-soap-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-dbg-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-pgsql-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-mbstring-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm
php-pecl-xdebug3-3.1.4-1.module_el9.1.0+15+94ba28e4.s390x.rpm
php-pecl-rrd-2.0.3-4.module_el9.1.0+15+94ba28e4.s390x.rpm
php-snmp-8.1.14-1.module_el9.2.0+24+ca6bd7c2.s390x.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:2417 Moderate: php:8.1 security update